//>====================================================================================<
//  Menu:
//    - Skybox
//    - Windows
//    - Phong shading
//    - Water
//    - Foliage
//>====================================================================================<
//>====================================================================================<
//  Skybox from ut4_bohemia by NuLL
//>====================================================================================<
textures/beijing/sky
{
	qer_editorimage textures/beijing/env/dark_night1_up.tga
	skyParms textures/beijing/env/dark_night1 - -
	
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	surfaceparm nomarks
	nopicmip
	nomipmaps
	
	q3map_surfacelight 180
	q3map_sun 1 .9 .8 60 40 70
}

//>====================================================================================<
//  Windows from ut4_bohemia by NuLL
//>====================================================================================<
textures/beijing/window_light
{
	qer_editorimage textures/beijing/sn_window8int_st.tga
	{
		map textures/beijing/sn_window8int_st.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
	{
		map textures/beijing/sn_window8int_blend.tga
		blendfunc add
		rgbgen identity
	}
}

textures/beijing/window_light_2
{
	qer_editorimage textures/beijing/window_glass_metal.tga
	{
		map textures/beijing/window_glass_metal.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/beijing/window_glass_metal_blend.tga
		blendfunc add
		rgbgen identity
	}
}

//>====================================================================================<
//  Phong shading
//>====================================================================================<
//>------------------------------------------------------------------------<
// Ground
//>------------------------------------------------------------------------<
textures/beijing/trim_02
{
	qer_editorimage textures/beijing/trim_02
	q3map_shadeangle 90
	q3map_nonplanar
	{
		map textures/beijing/trim_02
	}
	{
		map textures/beijing/trim_02
		alphagen vertex
		alphafunc gt0
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/beijing/road_1
{
	qer_editorimage textures/beijing/road_1
	q3map_shadeangle 90
	q3map_nonplanar
	{
		map textures/beijing/road_1
	}
	{
		map textures/beijing/road_1
		alphagen vertex
		alphafunc gt0
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}

//>------------------------------------------------------------------------<
// Walls
//>------------------------------------------------------------------------<
textures/beijing/plaster_01_red
{
	qer_editorimage textures/beijing/plaster_01_red
	q3map_shadeangle 90
	q3map_nonplanar
	{
		map textures/beijing/plaster_01_red
	}
	{
		map textures/beijing/plaster_01_red
		alphagen vertex
		alphafunc gt0
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/beijing/plaster_04_trim_clean
{
	qer_editorimage textures/beijing/plaster_04_trim_clean
	q3map_shadeangle 90
	q3map_nonplanar
	{
		map textures/beijing/plaster_04_trim_clean
	}
	{
		map textures/beijing/plaster_04_trim_clean
		alphagen vertex
		alphafunc gt0
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/beijing/concrete_5_dark
{
	qer_editorimage textures/beijing/concrete_5_dark
	q3map_shadeangle 90
	q3map_nonplanar
	{
		map textures/beijing/concrete_5_dark
	}
	{
		map textures/beijing/concrete_5_dark
		alphagen vertex
		alphafunc gt0
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/beijing/metal_7
{
	qer_editorimage textures/beijing/metal_7
	q3map_shadeangle 90
	q3map_nonplanar
	{
		map textures/beijing/metal_7
	}
	{
		map textures/beijing/metal_7
		alphagen vertex
		alphafunc gt0
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}

//>====================================================================================<
//  Water
//>====================================================================================<
//>------------------------------------------------------------------------<
// Fountain from ut4_facade_b5
//>------------------------------------------------------------------------<
textures/beijing/fountain
{
	qer_editorimage textures/wetwired/fs_rain2.tga
	qer_trans 0.5
    q3map_globaltexture
    surfaceparm trans
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodlight
	cull none
	{
		map textures/wetwired/fs_rain2.tga
		tcMod Scroll -0.125 -1.5
		blendfunc add		
    }
}

//>------------------------------------------------------------------------<
// Ocean from ut4_heroic_beta1
//>------------------------------------------------------------------------<
textures/beijing/ocean
{
	qer_editorimage textures/beijing/eau01.jpg
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm fog
	surfaceparm nolightmap
	fogparms ( .03 .079 .077 ) 350
	cull disable
	deformVertexes wave 64 sin .5 .5 0 .5
	q3map_fancywater 1.3 1 1 1
	{ 
		map textures/beijing/eau02.jpg
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .25 .25
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
	}
	{ 
		map textures/beijing/eau03.jpg
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .25 .25
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .025 -.001
	}
	{ 
		map textures/beijing/eau01.jpg
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .25 .25
		tcmod scroll .001 .025
	}	
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}

textures/beijing/water
{
	qer_editorimage textures/beijing/eau01.jpg
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm fog
	surfaceparm nolightmap
	cull disable
	deformVertexes wave 64 sin .5 .5 0 .5
	q3map_fancywater 1.3 1 1 1
	{ 
		map textures/beijing/eau02.jpg
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .25 .25
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
	}
	{ 
		map textures/beijing/eau03.jpg
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .25 .25
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .025 -.001
	}
	{ 
		map textures/beijing/eau01.jpg
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .25 .25
		tcmod scroll .001 .025
	}	
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}

//>------------------------------------------------------------------------<
// Water Caulk
//>------------------------------------------------------------------------<
textures/beijing/watercaulk
{
	qer_editorimage textures/beijing/watercaulk.tga
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm detail
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
}

//>------------------------------------------------------------------------<
// Water Plant from ut4_facade_b5
//>------------------------------------------------------------------------<
textures/beijing/waterplant_2
{
	qer_trans 0.80
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nodlight
	q3map_bouncescale 0.0
	polygonoffset
	cull none 
	nopicmip
	deformVertexes bulge 64 1 2		
	{
		map textures/beijing/waterplant_2.tga
		blendFunc blend
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}		
}

//>====================================================================================<
//  Foliage from ut4_facade_b5
//>====================================================================================<
textures/beijing/ivy
{
	qer_editorimage textures/beijing/ivy.tga
	qer_trans 0.50
	q3map_nonplanar
	q3map_shadeangle 30
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	q3map_bouncescale 0.0
	polygonoffset
	nopicmip
	deformVertexes wave 50 sin 0 .3 0 .3
	qer_alphaFunc gequal 0.5
	{
		map textures/beijing/ivy.tga
		alphaFunc GE128
		depthWrite
		rgbgen exactvertex
	}
}